> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SetAdminRoleInfo

POST https://api.voximplant.com/platform_api/SetAdminRoleInfo

Edits the specified admin role.

**Example request:** Allow the all permissions except the DelUser and DelApplication.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/admin-roles/set-admin-role-info

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `admin_role_id` (integer, optional) — The admin role to edit. **Required** unless **admin_role_name** is provided.
- `admin_role_name` (string, optional) — The admin role to edit. **Required** unless **admin_role_id** is provided.
- `new_admin_role_name` (string, optional) — The new admin role name. The length must be less than 50
- `admin_role_active` (boolean, optional) — Whether the admin role is enabled. If false the allowed and denied entries have no affect
- `entry_modification_mode` (string, optional, default: set) — The modification mode of the permission lists (allowed_entries and denied_entries). The following values are possible: add, del, set
- `allowed_entries` (list of string, optional) — The list of allowed access entry changes separated by semicolons (;) (the API function names)
- `denied_entries` (list of string, optional) — The list of denied access entry changes separated by semicolons (;) (the API function names)
- `like_admin_role_id` (list of integer, optional) — The admin role ID list separated by semicolons (;). Use the 'all' value to select all admin roles. The list specifies the roles from which the allowed_entries and denied_entries are merged
- `like_admin_role_name` (list of string, optional) — The admin role name, can be used instead of **like_admin_role_id**. The name specifies a role from which the allowed_entries and denied_entries are merged

## Response

### 200

Successful response

- `result` (integer, optional) — Returns 1 if the request has been completed successfully

## Examples

**Response**

```json
{
  "result": 1
}
```

**SDK Code**

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SetAdminRoleInfo"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SetAdminRoleInfo';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SetAdminRoleInfo"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SetAdminRoleInfo")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SetAdminRoleInfo")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SetAdminRoleInfo', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SetAdminRoleInfo");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetAdminRoleInfo")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```